let
  inherit (nixpkgs) lib;
  nixpkgs = import <nixpkgs> {
    config = { };
    overlay = [ ];
  };
  property = (builtins.getEnv "PROPERTY");
  processor =
    if (builtins.stringLength property > 0) then
      (_: lib.attrsets.getAttrFromPath (lib.strings.splitString "." property) _)
    else
      (_: _);
in
_: processor (lib.evalModules { modules = [ _ ]; }).config
