{ lib, ... }:
let
  inherit (lib) mkEnableOption;
in
{
  options = {
    valhalla = {
      linux.programs.btrfs = {
        enable = mkEnableOption "btrfs tools";
        pools = mkEnableOption "btrfs pool support in bootloaders";
      };
    };
  };
}
