# ManuSurface Setup
The steps described here allow the creation of a linux system on a Surface Book 2.

## Basic Installation
  - Run install script [setup.sh](./setup.sh)

## Post-Install
  - Add SSH-key to GitHub/Gitea websites

## Configuration
  - Desktop
    - Desktop Options
      - Super Key Action: Applications
  - Power
    - Power Saving Options
      - Disable "Automatic Screen Brightness"
    - Suspend & Power Button
      - Power Button Behavior: "Suspend"
      - Enable "Show Battery Percentage"
  - Mouse & Touchpad
    - Touchpad Scroll & Zoom Options
      - Enable "Natural Scrolling"
  - Date & Time
    - Time Format: 24-hour
  - OS Upgrade & Recovery
    - Update Recovery Partition

## GNOME Extensions
  - [#5278 pano](https://extensions.gnome.org/extension/5278/pano/)
  - [#4907 EasyEffects Preset Selector](https://extensions.gnome.org/extension/4907/easyeffects-preset-selector/)
  - [#1162 Emoji Selector](https://extensions.gnome.org/extension/1162/emoji-selector/)
