{ ... }: {
  imports = [ ../../../lib/modules/valhalla.nix ];

  config = {
    valhalla = {
      users.manuel = {
        displayName = "Manuel Thalmann";
        mailAddress = "m@nuth.ch";

        programs = {
          oh-my-posh = {
            theme = {
              source = ./manuel.omp.json;
            };
          };
        };
      };

      linux.users.manuel = {
        defaultShell = "fish";

        groups = [
          "wheel"
          "nix-users"
        ];
      };
    };
  };
}
