#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../lib/software.fish"
    inherit "$dir/../../../Common/Software/nix/main.fish"

    function installSW
        yayinst \
            nix \
            nil-git

        configureSW
    end

    function configureSW -V dir
        sudo systemctl enable --now nix-daemon
        configureSWBase $argv
    end

    runInstaller $argv
end
