#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../lib/software.fish"
    inherit "$dir/../../../Common/Software/vim/main.fish"

    function installSW
        yayinst (
                # Necessary for accessing clipboard in terminal: https://wiki.archlinux.org/title/Vim
            ) gvim \
            vi-vim-symlink (
                # Add clipboard support for wayland: https://www.reddit.com/r/Fedora/comments/ax9p9t/comment/jjb4p7b/
            ) vim-wayland-clipboard-git \
            wl-clipboard
    end

    runInstaller $argv
end
