#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../lib/software.fish"
    inherit "$dir/../../../Common/Software/virt-manager/main.fish"

    function installSW
        yayinst qemu-full
        yes | runPacman --asdeps iptables-nft

        yes | yayinst \
            virtiofsd \
            virt-manager \
            dnsmasq \
            swtpm \
            lxc \
            virt-bootstrap-git
    end

    function configureSW
        sudo systemctl enable --now libvirtd
        sudo systemctl enable --now virtlogd
        configureSWBase $argv
    end

    runInstaller $argv
end
