#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../service.fish"

    function installSW -V dir
        set -l root (getServiceRoot $argv)
        initializeServiceInstallation $argv
        sudo cp -rf "$dir"/docker-compose{.base,.overrides}.yml "$root"
        installDockerService $argv
    end

    function configureSW -V dir
        configureDockerService $argv
    end

    function getServiceServers
    end

    function getServiceLocations
    end

    runInstaller --force $argv
end
