#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../../lib/software.fish"

    function configureSW -V dir
        source "$dir/../bash/profile.fish"
        source "$dir/../fish/profile.fish"
        echo 'eval "$(zoxide init bash)"' | installBashProfile zoxide
        echo "zoxide init fish | source" | installFishProfile zoxide
        sudo -HE pwsh -NoProfile "$dir/Main.ps1" Configure
    end

    runInstaller $argv
end
