. "$PSScriptRoot/../../lib/SoftwareManagement.ps1";
. "$PSScriptRoot/../../../lib/Settings.ps1";
. "$PSScriptRoot/../../../lib/Software.ps1";
. "$PSScriptRoot/../../../Common/Types/InstallerAction.ps1";

Start-SoftwareInstaller @args `
    -Inherit "$PSScriptRoot/../../../Common/Software/git/Main.ps1" `
    -Installer {
        $params = "/WindowsTerminalProfile";
        $defaultBranch = Get-OSConfig "programs.git.defaultBranch";

        if ($defaultBranch) {
            $params += " /DefaultBranchName:`"$defaultBranch`"";
        }

        Install-ChocoPackage git -ArgumentList "--params", $params;
    };
