using namespace System.Security.AccessControl;
using namespace System.Security.Principal;

. "$PSScriptRoot/../../lib/Security.ps1";
. "$PSScriptRoot/../../../lib/Software.ps1";
. "$PSScriptRoot/../../../Common/Types/InstallerAction.ps1";

Start-SoftwareInstaller @args `
    -Installer {
        $env:NVS_HOME = "$env:ProgramData\nvs";
        git clone "https://github.com/jasongin/nvs.git" $env:NVS_HOME;
        & "$env:NVS_HOME\nvs.cmd" install;

        refreshenv;
        Set-UserPermissions $env:NVS_HOME;
    } `
    -Configurator {
        nvs add latest;
        nvs link latest;
    };
