. "$PSScriptRoot/../../../lib/Software.ps1";

Start-SoftwareInstaller -Force @args `
    -Installer {
        $xamlDownloadLink = "https://github.com/microsoft/microsoft-ui-xaml/releases/download/v2.8.6/Microsoft.UI.Xaml.2.8.x64.appx";
        $downloadLink = "https://github.com/microsoft/winget-cli/releases/latest/download/Microsoft.DesktopAppInstaller_8wekyb3d8bbwe.msixbundle";
        $file = New-TemporaryFile;
        $file = Rename-Item $file "$file.msixbundle" -PassThru;
        Invoke-WebRequest "$xamlDownloadLink" -OutFile "$file";
        Add-AppxPackage "$file" -ErrorAction Continue;
        Invoke-WebRequest "$downloadLink" -OutFile "$file";
        Add-AppxPackage "$file" -ErrorAction Continue;
        Remove-Item $file;
    };
