#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../lib/software.fish"

    function installSW
        pacinst btrfs-progs
    end

    function configureSW -V dir
        source "$dir/../../../lib/settings.fish"

        if isOSEnabled "programs.btrfs.pools"
            echo "HOOKS+=(btrfs)" | sudo tee /etc/mkinitcpio.conf.d/btrfs.conf >/dev/null
        end
    end

    runInstaller $argv
end
