#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../lib/software.fish"

    function installSW
        yayinst \
            pennywise-bin
    end

    function configureSW
        set -l patch " --no-sandbox"
        set -l pattern "^Exec=.*"
        set -l indicator "$pattern$patch"
        set -l file /usr/share/applications/pennywise.desktop

        if ! grep "$indicator" "$file" >/dev/null
            sudo sed -i "/$pattern/s/$pattern/\0 --no-sandbox/" "$file"
        end
    end

    runInstaller $argv
end
