#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../lib/software.fish"

    function installSW
        yayinst steam
    end


    function configureSW -V dir
        . "$dir/../../../lib/settings.fish"

        if isOSEnabled hidpi
            begin
                printf %s\n \
                    "#!/bin/bash" \
                    "export STEAM_FORCE_DESKTOPUI_SCALING=2.0"
            end | sudo tee /etc/profile.d/steam.sh >/dev/null
        end
    end

    runInstaller $argv
end
