#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../lib/software.fish"

    function installSW
        if not type -q yay
            set -l contextRoot (mktemp -d)
            pacinst git
            git clone https://aur.archlinux.org/yay.git "$contextRoot"

            pushd "$contextRoot" >/dev/null
            makepkg --noconfirm -si
            popd >/dev/null

            rm -rf "$contextRoot"
        end
    end

    runInstaller --force $argv
end
