function installYTMDL
    source "$(status dirname)/extensions.fish"

    set -l extension (mktemp)
    set -l dir (mktemp -d)
    set -l manifestFile "$dir/manifest.json"
    chmod -R a+rwx "$dir"
    wget https://github.com/dougppaz/youtube-music-dl/releases/download/v1.4.0/youtube-music-dl.zip -O "$extension"
    mkdir -p "$dir"
    unzip "$extension" -d "$dir"
    rm "$extension"
    installExtension youtube-music-dl "$dir" $argv
    rm -rf "$dir"
end

installYTMDL $argv
