#!/bin/env fish
begin
    set -l dir (status dirname)
    set -l base "$dir/Main.ps1"
    source "$(status dirname)/../../../lib/software.fish"

    function configureSW -S -V base
        pwsh "$base" Configure
    end

    function userConfig -S -V base
        argparse -i "user=" -- $argv
        runPSUserConfig "$base" $_flag_user
    end

    runInstaller $argv
end
