#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../../lib/software.fish"

    function configureSW -V dir
        sudo sed -i \
            's/^#\?\(GRUB_THEME=\).*$/\1"\/usr\/share\/grub\/themes\/minegrub\/minegrub\/theme.txt"/' \
            /etc/default/grub

        fish "$dir/../grub/main.fish" configure
    end

    runInstaller $argv
end
