#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../../lib/software.fish"

    function configureSW
        set -l configFile /etc/vimrc
        set -l indicator "set clipboard"

        if not grep "\b$indicator\b" "$configFile" >/dev/null
            # As described in https://wiki.archlinux.org/title/Vim#Clipboard
            echo "$indicator+=unnamed,unnamedplus" | sudo tee -a "$configFile" >/dev/null
        end
    end

    runInstaller $argv
end
