#!/bin/env fish
begin
    set -l dir (status dirname)
    source "$dir/../../../lib/software.fish"

    function configureSW
        begin
            sudo virsh net-info default | grep "^Active:\s*yes\$" >/dev/null
        end || sudo virsh net-start default

        and sudo virsh net-autostart default
        or true
    end

    function userConfig
        argparse -i "user=" -- $argv
        sudo usermod -aG libvirt "$_flag_user"
    end

    runInstaller $argv
end
