. "$PSScriptRoot/../../../lib/Software.ps1";
. "$PSScriptRoot/../../../lib/SoftwareManagement.ps1";

Start-SoftwareInstaller @args `
    -UserConfigurator {
        param(
            $Arguments
        )

        $bins = @("codium", "codium-insiders", "code", "code-insiders");
        $extensions = @("zokugun.sync-settings", "zokugun.vsix-manager");
        $user = $Arguments.Name;

        foreach ($bin in $bins) {
            if (Test-Command "$bin") {
                foreach ($extension in $extensions) {
                    sudo -u "$user" "$bin" --install-extension "$extension";
                }
            }
        }
    };
