. "$PSScriptRoot/../powershell/Profile.ps1";
. "$PSScriptRoot/../../../lib/Software.ps1";

Start-SoftwareInstaller @args `
    -Configurator {
        param([string] $Name)

        Add-PowerShellProfileStatement `
            -System `
            -Category "$Name" `
            -Script (
                @(
                    "# $Name",
                    (Get-ScriptInitializer "zoxide init powershell | Out-String")
                ) -join [System.Environment]::NewLine);
    };
