using namespace Microsoft.Win32;

. "$PSScriptRoot/../../lib/AppAssociations.ps1";
. "$PSScriptRoot/../../lib/SoftwareManagement.ps1";
. "$PSScriptRoot/../../../lib/Software.ps1";

Start-SoftwareInstaller @args `
    -Installer {
        Install-ChocoPackage thunderbird -ArgumentList "--params", '"/NoTaskbarShortcut /NoDesktopShortcut"';
    } `
    -Configurator {
        Write-Host "Making Thunderbird the default mail program…";
        $applicationName = "Thunderbird";
        Set-DefaultAppAssociation -Identifier "mailto" -ProgId "Thunderbird.Url.mailto" -ApplicationName $applicationName;
        Set-DefaultAppAssociation -Identifier ".eml" -ProgId "ThunderbirdEml" -ApplicationName $applicationName;
    };
