. "$PSScriptRoot/../../lib/SoftwareManagement.ps1";
. "$PSScriptRoot/../../../lib/Software.ps1";
. "$PSScriptRoot/../../../Common/Types/InstallerAction.ps1";

Start-SoftwareInstaller @args `
    -Inherit "$PSScriptRoot/../../../Common/Software/vscode/Main.ps1" `
    -Installer {
        Install-ChocoPackage vscode -ArgumentList "--params", "/NoDesktopIcon";
        Install-ChocoPackage vscodium -ArgumentList "--params", "/NoDesktopIcon /AssociateWithFiles";
        refreshenv;
    };
