using namespace Microsoft.Win32;

. "$PSScriptRoot/../../lib/AppAssociations.ps1";
. "$PSScriptRoot/../../lib/SoftwareManagement.ps1";
. "$PSScriptRoot/../../../lib/Software.ps1";
. "$PSScriptRoot/../../../lib/System.ps1";

Start-SoftwareInstaller @args `
    -Installer {
        Install-ChocoPackage winscp;
    } `
    -Configurator {
        Remove-DesktopIcon "WinSCP*";
        Write-Host "Making WinSCP the default FTP program…";
        Set-DefaultAppAssociation -Identifier "ftp" -ProgId "WinSCP.Url" -ApplicationName "WinSCP: SFTP, FTP, WebDAV, S3 and SCP client";
    };
