#!/bin/env fish
begin
    set -l target "$argv[1]"
    set -l dir "$(status dirname)/../.."
    git clone "$dir" "$target"
    cp "$dir/.git/config" "$target/.git/config"
    git -C "$dir" diff HEAD | git -C "$target" apply --allow-empty &>/dev/null

    and git -C "$dir" ls-files --exclude-standard --others |
        rsync --files-from=/dev/stdin "$dir" "$target"
end
